## org.eclipse.jst.ws.annotations.core.initialization
Class DefaultsAnnotationAttributeInitializer

    java.lang.Object
      org.eclipse.jst.ws.annotations.core.initialization.AnnotationAttributeInitializer
          org.eclipse.jst.ws.annotations.core.initialization.DefaultsAnnotationAttributeInitializer

All Implemented Interfaces:
  IAnnotationAttributeInitializer

    public class DefaultsAnnotationAttributeInitializer

extends AnnotationAttributeInitializer

Constructs a list of `MemberValuePair` using the annotation elements default values.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Constructor Summary
`DefaultsAnnotationAttributeInitializer()`

Method Summary
`java.util.List<org.eclipse.jdt.core.dom.MemberValuePair>` `getMemberValuePairs(org.eclipse.jdt.core.IJavaElement javaElement, org.eclipse.jdt.core.dom.AST ast, java.lang.Class<? extends java.lang.annotation.Annotation> annotationClass)` Deprecated. as of 1.1 replaced by `getMemberValuePairs(IJavaElement, AST, IType)`
`java.util.List<org.eclipse.jdt.core.dom.MemberValuePair>` `getMemberValuePairs(org.eclipse.jdt.core.IJavaElement javaElement, org.eclipse.jdt.core.dom.AST ast, org.eclipse.jdt.core.IType type)` Constructs a list of `MemberValuePair` from the annotation type element names and default values.

Methods inherited from class org.eclipse.jst.ws.annotations.core.initialization.AnnotationAttributeInitializer
`getCompletionProposalsForMemberValuePair, getCompletionProposalsForSingleMemberAnnotation`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultsAnnotationAttributeInitializer

    public DefaultsAnnotationAttributeInitializer()

Method Detail

### getMemberValuePairs

    @Deprecated
    public java.util.List<org.eclipse.jdt.core.dom.MemberValuePair> getMemberValuePairs(org.eclipse.jdt.core.IJavaElement javaElement,
                                                                                                   org.eclipse.jdt.core.dom.AST ast,
                                                                                                   java.lang.Class<? extends java.lang.annotation.Annotation> annotationClass)

  Deprecated. as of 1.1 replaced by `getMemberValuePairs(IJavaElement, AST, IType)`

  Constructs a list of `MemberValuePair` using the declared method names and default values in the given `Annotation`.

  Specified by:
    `getMemberValuePairs` in interface `IAnnotationAttributeInitializer`
  Overrides:
    `getMemberValuePairs` in class `AnnotationAttributeInitializer`
  Parameters:
    `javaElement` - the java element on which the annotation is declared.
    `ast` - the `AST` with which to create the member value pairs.
    `annotationClass` - the `Annotation` class which may be used to query the declared members of the annotation type and the members default values.
  Returns:
    a list of member value pairs.

### getMemberValuePairs

    public java.util.List<org.eclipse.jdt.core.dom.MemberValuePair> getMemberValuePairs(org.eclipse.jdt.core.IJavaElement javaElement,
                                                                                        org.eclipse.jdt.core.dom.AST ast,
                                                                                        org.eclipse.jdt.core.IType type)

  Constructs a list of `MemberValuePair` from the annotation type element names and default values.

  Specified by:
    `getMemberValuePairs` in interface `IAnnotationAttributeInitializer`
  Overrides:
    `getMemberValuePairs` in class `AnnotationAttributeInitializer`
  Parameters:
    `javaElement` - the java element on which the annotation is declared.
    `ast` - the `AST` with which to create the member value pairs.
    `type` - the `IType` which represents an annotation type,.
  Returns:
    a list of member value pairs.